#include<bits/stdc++.h>


using namespace std;

int main()
{
int t,i,p = 0,q = 0,m = 0;

cin >> t;

char n[30];


getchar();

for(i = 0;i < t;i++) {
    n[i] = getchar();
    getchar();
}

p = n[0] / n[0];

while(q < n[0]) {

        if(p > 10) {
            p = (n[0] / 10) * (n[0] % 10);
        }
    q = q + (1 * p);
    p++;


}

cout << q;






}